import { cn as e } from "../../../lib/utils.js";
import { SidebarInset as t, SidebarProvider as n } from "../atoms/sidebar.js";
import { ChatContentSkeleton as r, ChatSidebarSkeleton as i } from "../templates/chat-template-skeletons.js";
import { jsx as a, jsxs as o } from "react/jsx-runtime";
//#region lib/components/ui/pages/chat-page-skeleton.tsx
function s({ defaultSidebarOpen: s = !0, showSidebar: c = !0, className: l, ...u }) {
	return c ? /* @__PURE__ */ o(n, {
		defaultOpen: s,
		children: [/* @__PURE__ */ a(i, {}), /* @__PURE__ */ a(t, {
			className: e(l),
			...u,
			children: /* @__PURE__ */ a(r, {})
		})]
	}) : /* @__PURE__ */ a(r, {
		className: l,
		...u
	});
}
//#endregion
export { s as ChatPageSkeleton };
